clear all;close all;

a = double(imread('lena256.tif'));
figure(1);subplot(2,2,1);
imagesc(a);colormap gray;axis image;

b = double(imread('mri.tif'));
figure(2);subplot(2,2,1);
imagesc(b);colormap gray;axis image;

pause;

A = fftn(a);
A_arg = angle(A);
A_mod = abs(A);

figure(1);subplot(2,2,3);
imagesc(fftshift(A_arg));colorbar;axis image;title('argument');
subplot(2,2,4);
imagesc(20*log10(fftshift(A_mod)));colorbar;axis image;title('module (log)');

B = fftn(b);
B_arg = angle(B);
B_mod = abs(B);

figure(2);subplot(2,2,3);
imagesc(fftshift(B_arg));colorbar;axis image;title('argument');
subplot(2,2,4);
imagesc(20*log10(fftshift(B_mod)));colorbar;axis image;title('module (log)');

pause;

A_mix = A_mod.*exp(1j*B_arg);
B_mix = B_mod.*exp(1j*A_arg);

figure(1);subplot(2,2,2);
imagesc(real(ifftn(A_mix)));axis image;title('fusion 1');
figure(2);subplot(2,2,2);
imagesc(real(ifftn(B_mix)));axis image;title('fusion 2');

